import { EntityRepository, Repository } from "typeorm";
import { UpdateCareerDetailsPageCmsDto } from "./dto/update-career-details-page-cms.dto";
import { CareerDetailsPageCmsEntity } from "./entities/career-details-page-cms.entity";

@EntityRepository(CareerDetailsPageCmsEntity)
export class CareerDetailsPageCmsRepository extends Repository<CareerDetailsPageCmsEntity> {

    async createEntity(dto: UpdateCareerDetailsPageCmsDto): Promise<CareerDetailsPageCmsEntity | Error> {
        try {
            const entity = this.create({
                logo: dto.logo,
                moreJobsSectionTitle: dto.moreJobsSectionTitle,
                moreJobsSectionSubTitle: dto.moreJobsSectionSubTitle,
                whyJoinUsSectionTitle: dto.whyJoinUsSectionTitle,
                whyJoinUsSectionSubTitle: dto.whyJoinUsSectionSubTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCareerDetailsPageCmsDto, id: string): Promise<CareerDetailsPageCmsEntity | Error> {
        try {
            await this.update(id, {
                logo: dto.logo,
                moreJobsSectionTitle: dto.moreJobsSectionTitle,
                moreJobsSectionSubTitle: dto.moreJobsSectionSubTitle,
                whyJoinUsSectionTitle: dto.whyJoinUsSectionTitle,
                whyJoinUsSectionSubTitle: dto.whyJoinUsSectionSubTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CareerDetailsPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}