import { EntityRepository, Repository } from "typeorm";
import { UpdateChooseRetailerPageCmsDto } from "./dto/update-choose-retailer-page-cms.dto";
import { ChooseRetailerPageCmsEntity } from "./entities/choose-retailer-page-cms.entity";

@EntityRepository(ChooseRetailerPageCmsEntity)
export class ChooseRetailerPageCmsRepository extends Repository<ChooseRetailerPageCmsEntity> {

    async createEntity(dto: UpdateChooseRetailerPageCmsDto): Promise<ChooseRetailerPageCmsEntity | Error> {
        try {
            const entity = this.create({
                image: dto.image,
                logo: dto.logo,
                title: dto.title,
                description: dto.description,
                questionTitle: dto.questionTitle,
                buttonOneText: dto.buttonOneText,
                buttonTwoText: dto.buttonTwoText,
                buttonThreeText: dto.buttonThreeText,
                pickUpPageTitle: dto.pickUpPageTitle,
                deliveryPageTitle: dto.deliveryPageTitle,
                searchBoxText: dto.searchBoxText,
                chooseStoreButtonText: dto.chooseStoreButtonText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateChooseRetailerPageCmsDto, id: string): Promise<ChooseRetailerPageCmsEntity | Error> {
        try {
            await this.update(id, {
                image: dto.image,
                logo: dto.logo,
                title: dto.title,
                description: dto.description,
                questionTitle: dto.questionTitle,
                buttonOneText: dto.buttonOneText,
                buttonTwoText: dto.buttonTwoText,
                buttonThreeText: dto.buttonThreeText,
                pickUpPageTitle: dto.pickUpPageTitle,
                deliveryPageTitle: dto.deliveryPageTitle,
                searchBoxText: dto.searchBoxText,
                chooseStoreButtonText: dto.chooseStoreButtonText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ChooseRetailerPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}