import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { CommonCmsRepository } from "./common-cms.repository";
import { CommonCmsController } from "./common-cms.controller";
import { CommonCmsService } from "./common-cms.service";
import { NewsletterBannerCmsRepository } from "../newsletter-banner-cms/newsletter-banner-cms.repository";
import { ReeferFriendCmsRepository } from "../reefer-friend-cms/reefer-friend-cms.repository";
import { ReeferFriendRepository } from "src/modules/reefer-friend/reefer-friend.repository";
import { PageTitleCmsRepository } from "../page-title-cms/page-title-cms.repository";
import {
    RetailerServiceRepository
} from "src/modules/dutchie-plus/custom/retailer-service/retailer-service.repository";
import { PageMetaCmsRepository } from "../page-meta-cms/page-meta-cms.repository";
import {
    AboutUsPageComponentUiRepository
} from "src/modules/component-ui-cms/about-us-page-component-ui/about-us-page-component-ui.repository";
import {
    BlogDetailsPageComponentUiRepository
} from "src/modules/component-ui-cms/blog-details-page-component-ui/blog-details-page-component-ui.repository";
import {
    BlogPageComponentUiRepository
} from "src/modules/component-ui-cms/blog-page-component-ui/blog-page-component-ui.repository";
import {
    BrandPageComponentUiRepository
} from "src/modules/component-ui-cms/brand-page-component-ui/brand-page-component-ui.repository";
import {
    CareerDepartmentPageComponentUiRepository
} from "src/modules/component-ui-cms/career-department-page-component-ui/career-department-page-component-ui.repository";
import {
    CareerDetailsPageComponentUiRepository
} from "src/modules/component-ui-cms/career-details-page-component-ui/career-details-page-component-ui.repository";
import {
    CareerPageComponentUiRepository
} from "src/modules/component-ui-cms/career-page-component-ui/career-page-component-ui.repository";
import {
    CategoriesPageComponentUiRepository
} from "src/modules/component-ui-cms/categories-page-component-ui/categories-page-component-ui.repository";
import {
    CommonComponentUiRepository
} from "src/modules/component-ui-cms/common-component-ui/common-component-ui.repository";
import {
    ContactUsPageComponentUiRepository
} from "src/modules/component-ui-cms/contact-us-page-component-ui/contact-us-page-component-ui.repository";
import {
    FaqPageComponentUiRepository
} from "src/modules/component-ui-cms/faq-page-component-ui/faq-page-component-ui.repository";
import {
    HomePageComponentUiRepository
} from "src/modules/component-ui-cms/home-page-component-ui/home-page-component-ui.repository";
import {
    LocationPageComponentUiRepository
} from "src/modules/component-ui-cms/location-page-component-ui/location-page-component-ui.repository";
import {
    PrivacyPolicyPageComponentUiRepository
} from "src/modules/component-ui-cms/privacy-policy-page-component-ui/privacy-policy-page-component-ui.repository";
import {
    ShopPageComponentUiRepository
} from "src/modules/component-ui-cms/shop-page-component-ui/shop-page-component-ui.repository";
import {
    SpecialPageComponentUiRepository
} from "src/modules/component-ui-cms/special-page-component-ui/special-page-component-ui.repository";
import {
    TermsAndConditionsPageComponentUiRepository
} from "src/modules/component-ui-cms/terms-and-conditions-page-component-ui/terms-and-conditions-page-component-ui.repository";
import { InstagramServiceRepository } from "../../instagram-service/instagram-service.repository";
import { FooterImageRepository } from "src/modules/footer-image/footer-image.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([
            CommonCmsRepository,
            NewsletterBannerCmsRepository,
            ReeferFriendCmsRepository,
            ReeferFriendRepository,
            PageTitleCmsRepository,
            RetailerServiceRepository,
            PageMetaCmsRepository,
            //
            LocationPageComponentUiRepository,
            HomePageComponentUiRepository,
            ShopPageComponentUiRepository,
            AboutUsPageComponentUiRepository,
            CategoriesPageComponentUiRepository,
            BrandPageComponentUiRepository,
            SpecialPageComponentUiRepository,
            ContactUsPageComponentUiRepository,
            FaqPageComponentUiRepository,
            CareerPageComponentUiRepository,
            CareerDepartmentPageComponentUiRepository,
            CareerDetailsPageComponentUiRepository,
            BlogPageComponentUiRepository,
            PrivacyPolicyPageComponentUiRepository,
            TermsAndConditionsPageComponentUiRepository,
            BlogDetailsPageComponentUiRepository,
            CommonComponentUiRepository,
            InstagramServiceRepository,
            FooterImageRepository
        ])
    ],
    controllers: [CommonCmsController],
    providers: [CommonCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class CommonCmsModule {
}