import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { AboutUsPageComponentUiService } from "./about-us-page-component-ui.service";
import { UpdateAboutUsPageComponentUiDto } from "./dto/update-about-us-page-component-ui.dto";

@Controller({ path: "about-us-page-component-ui", version: Constants.API_VERSION_1 })

export class AboutUsPageComponentUiController {
    constructor(private readonly service: AboutUsPageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateAboutUsPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
