import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { BlogDetailsPageComponentUiService } from "./blog-details-page-component-ui.service";
import { UpdateBlogDetailsPageComponentUiDto } from "./dto/update-blog-details-page-component-ui.dto";

@Controller({ path: "blog-details-page-component-ui", version: Constants.API_VERSION_1 })

export class BlogDetailsPageComponentUiController {
    constructor(private readonly service: BlogDetailsPageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateBlogDetailsPageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
