import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { CareerDetailsPageComponentUiRepository } from "./career-details-page-component-ui.repository";
import { CareerDetailsPageComponentUiController } from "./career-details-page-component-ui.controller";
import { CareerDetailsPageComponentUiService } from "./career-details-page-component-ui.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CareerDetailsPageComponentUiRepository])
    ],
    controllers: [CareerDetailsPageComponentUiController],
    providers: [CareerDetailsPageComponentUiService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class CareerDetailsPageComponentUiModule {
}