import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { HomePageComponentUiService } from "./home-page-component-ui.service";
import { UpdateHomePageComponentUiDto } from "./dto/update-home-page-component-ui.dto";

@Controller({ path: "home-page-component-ui", version: Constants.API_VERSION_1 })

export class HomePageComponentUiController {
    constructor(private readonly service: HomePageComponentUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateHomePageComponentUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
