import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { FooterImageRepository } from "./footer-image.repository";
import { FooterImageController } from "./footer-image.controller";
import { FooterImageService } from "./footer-image.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FooterImageRepository])
    ],
    controllers: [FooterImageController],
    providers: [FooterImageService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class FooterImageModule {
}
